Bug 1465677 - rule_ensure_gpgcheck_repo_metadata should not remediate, until Red Hat supports it
Summary: rule_ensure_gpgcheck_repo_metadata should not remediate, until Red Hat suppor...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: scap-security-guide
Version: 7.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Watson Yuuma Sato
QA Contact: Marek Haicman
Ioanna Gkioka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-27 23:08 UTC by Marek Haicman
Modified: 2018-04-10 12:21 UTC (History)
5 users (show)

Fixed In Version: scap-security-guide-0.1.35-1.el7
Doc Type: Known Issue
Doc Text:
The `ensure_gpgcheck_repo_metadata` rule fails During remediation of the `ensure_gpgcheck_repo_metadata` rule, certain profiles update the `yum.conf` file to enable the `repo_gpgcheck` option. Red Hat does not currently provide signed repository metadata. As a consequence, the *yum* utility is no longer able to install any package from official repositories. To work around the problem, use a tailoring file to remove `ensure_gpgcheck_repo_metadata` from the profile. If remediation already breaks the system, update `yum.conf` and set `repo_gpgcheck` to `0`.
Clone Of:
Environment:
Last Closed: 2018-04-10 12:20:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0761 None None None 2018-04-10 12:21:03 UTC

Description Marek Haicman 2017-06-27 23:08:07 UTC
Description of problem:
With this rule enforced, yum only installs packages from repositories with signed metadata. Red Hat currently does not provide such repositories, thus by enabling this option, machine effectively loses ability to update packages. From the security standpoint, this is bad thing. Proposal is to leave it failing, with notice for users explaining situation.

Version-Release number of selected component (if applicable):
scap-security-guide-0.1.33-5.el7.noarch

How reproducible:
reliably

Steps to Reproduce:
1. perform remediation of rule_ensure_gpgcheck_repo_metadata
2. try to install something from Red Hat repository
3.

Actual results:
1) is remedied
2) fails

Expected results:
1) is not remedied, explanation is given that Red Hat does not support this right now
2) is successful

Additional info:
For context, see Bug 1360939

Comment 1 Marek Haicman 2017-06-27 23:11:24 UTC
Note: this might prevent full profile remediation of profiles containing this rule (profile_stig-rhel7-disa)

Comment 2 Watson Yuuma Sato 2017-11-16 13:08:09 UTC
This is already fixed upstream by https://github.com/OpenSCAP/scap-security-guide/pull/2189.

Comment 4 Marek Haicman 2018-01-22 12:37:14 UTC
Verified in version scap-security-guide-0.1.36-7.el7 no remediation is performed

OLD (scap-security-guide-0.1.33-6.el7):
[dahaic@machine]$ oscap xccdf eval --fetch-remote-resources --rule xccdf_org.ssgproject.content_rule_ensure_gpgcheck_repo_metadata --profile xccdf_org.ssgproject.content_profile_stig-rhel7-disa --remediate 0.1.33-6/ssg-rhel7-ds.xml
Downloading: https://www.redhat.com/security/data/oval/com.redhat.rhsa-RHEL7.xml.bz2 ... ok
Title   Ensure gpgcheck Enabled for Repository Metadata
Rule    xccdf_org.ssgproject.content_rule_ensure_gpgcheck_repo_metadata
Ident   CCE-80348-6
Result  fail


 --- Starting Remediation ---
Downloading: https://www.redhat.com/security/data/oval/com.redhat.rhsa-RHEL7.xml.bz2 ... ok
Title   Ensure gpgcheck Enabled for Repository Metadata
Rule    xccdf_org.ssgproject.content_rule_ensure_gpgcheck_repo_metadata
Ident   CCE-80348-6
Result  error


NEW (scap-security-guide-0.1.36-7.el7):
[dahaic@machine]$ oscap xccdf eval --fetch-remote-resources  --rule xccdf_org.ssgproject.content_rule_ensure_gpgcheck_repo_metadata --profile xccdf_org.ssgproject.content_profile_stig-rhel7-disa --remediate 0.1.36-7/ssg-rhel7-ds.xml
Downloading: https://www.redhat.com/security/data/oval/com.redhat.rhsa-RHEL7.xml.bz2 ... ok
Title   Ensure gpgcheck Enabled for Repository Metadata
Rule    xccdf_org.ssgproject.content_rule_ensure_gpgcheck_repo_metadata
Ident   CCE-80348-6
Result  fail


 --- Starting Remediation ---
Downloading: https://www.redhat.com/security/data/oval/com.redhat.rhsa-RHEL7.xml.bz2 ... ok
[dahaic@machine]$

Comment 8 errata-xmlrpc 2018-04-10 12:20:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0761


Note You need to log in before you can comment on or make changes to this bug.